apiVersion: v1
kind: Pod
metadata:
  labels:
    some-label: some-label-value
spec:
  containers:
    - name: docker
      image: hub.ceshiren.com/office/docker:dind
      command:
        - cat
      tty: true
      volumeMounts:
        - mountPath: "/usr/local/sbin"
          name: "kube-bin"
          readOnly: false
        - mountPath: "/root/.kube"
          name: "kube-config-file"
          readOnly: false
        - mountPath: "/root/.docker"
          name: "docker-config"
          readOnly: false
        - mountPath: "/var/run/docker.sock"
          name: "volume-3"
          readOnly: false
  volumes:
    - name: "kube-config-file"
      secret:
        optional: false
        secretName: "kube-config"
    - hostPath:
        path: "/var/run/docker.sock"
      name: "volume-3"
    - hostPath:
        path: /root/.docker/
      name: docker-config
    - hostPath:
        path: /opt/bin/
      name: kube-bin
    - name: "volume-6"
      persistentVolumeClaim:
        claimName: "jenkins-slave-pvc"
        readOnly: false

